Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.dv
Class ValidatedInfo

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.dv.ValidatedInfo

public class ValidatedInfo
extends java.lang.Object

Class to get the information back after content is validated. This info would be filled by validate().

Field Summary
`java.lang.Object` | `actualValue` The actual value from a string value (QName, Boolean, etc.) An array of Objects if the type is a list.
`XSSimpleType` | `memberType` If the type is a union type, then the member type which actually validated the string value.
`XSSimpleType[]` | `memberTypes` If 1.
`java.lang.String` | `normalizedValue` The normalized value of a string value

Constructor Summary
`ValidatedInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### normalizedValue

    public java.lang.String normalizedValue

  The normalized value of a string value

### actualValue

    public java.lang.Object actualValue

  The actual value from a string value (QName, Boolean, etc.) An array of Objects if the type is a list.

### memberType

    public XSSimpleType memberType

  If the type is a union type, then the member type which actually validated the string value.

### memberTypes

    public XSSimpleType[] memberTypes

  If 1. the type is a union type where one of the member types is a list, or if the type is a list; and 2. the item type of the list is a union type then an array of member types used to validate the values.

Constructor Detail

### ValidatedInfo

    public ValidatedInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD